org.eclipse.jetty.util

## Class AttributesMap

- java.lang.Object
- - org.eclipse.jetty.util.AttributesMap

All Implemented Interfaces:
  Attributes

    public class AttributesMap
    extends Object
    implements Attributes

AttributesMap.

### Field Summary

Fields
`protected Map<String,Object>` `_map`

### Constructor Summary

Constructors
Constructor and Description
`AttributesMap()`
`AttributesMap(AttributesMap map)`
`AttributesMap(Map<String,Object> map)`

### Method Summary

Methods
`void` `addAll(Attributes attributes)`
`void` `clearAttributes()`
`Object` `getAttribute(String name)`
`Set<Map.Entry<String,Object>>` `getAttributeEntrySet()`
`Enumeration<String>` `getAttributeNames()`
`static Enumeration<String>` `getAttributeNamesCopy(Attributes attrs)`
`Set<String>` `getAttributeNameSet()`
`Set<String>` `keySet()`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object attribute)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _map

    protected final Map<String,Object> _map

### Constructor Detail

#### AttributesMap

    public AttributesMap()

#### AttributesMap

    public AttributesMap(Map<String,Object> map)

#### AttributesMap

    public AttributesMap(AttributesMap map)

### Method Detail

#### removeAttribute

    public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `Attributes`

#### setAttribute

    public void setAttribute(String name,
                    Object attribute)

Specified by:
  `setAttribute` in interface `Attributes`

#### getAttribute

    public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `Attributes`

#### getAttributeNames

    public Enumeration<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `Attributes`

#### getAttributeNameSet

    public Set<String> getAttributeNameSet()

#### getAttributeEntrySet

    public Set<Map.Entry<String,Object>> getAttributeEntrySet()

#### getAttributeNamesCopy

    public static Enumeration<String> getAttributeNamesCopy(Attributes attrs)

#### clearAttributes

    public void clearAttributes()

Specified by:
  `clearAttributes` in interface `Attributes`

#### size

    public int size()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### keySet

    public Set<String> keySet()

#### addAll

    public void addAll(Attributes attributes)